import { DataType, DataUnit, StringUtils } from "@sankhyalabs/core";
export function getDataUnit() {
  const dataUnit = new DataUnit('EzGridDU');
  dataUnit.pageSize = 3;
  dataUnit.metadata = {
    name: "exemplo.datagrid",
    label: "Exemplo data grid",
    fields: [
      { name: "PRODUTO", label: "Produto", dataType: DataType.TEXT },
      { name: "QUANTIDADE", label: "Quantidade", dataType: DataType.NUMBER }
    ]
  };
  dataUnit.records = [
    { __record__id__: StringUtils.generateUUID(), "PRODUTO": "Mamão", "QUANTIDADE": 1 },
    { __record__id__: StringUtils.generateUUID(), "PRODUTO": "Mexerica", "QUANTIDADE": 2 }
  ];
  dataUnit.selectFirst();
  return dataUnit;
}
